=== debian/changelog ===
cglm (0.7.6-2) unstable; urgency=medium

  * Re-release to unstable as source-only upload to allow migration to testing

 -- Jordan Justen <jljusten@debian.org>  Wed, 22 Jul 2020 01:27:55 -0700

cglm (0.7.6-1) unstable; urgency=medium

  [ Leon Marz ]
  * Initial release (Closes: #950988)

  [ Jordan Justen ]
  * d/rules: Disable building of static library
  * d/rules: Delete .la files installed by autotools

 -- Leon Marz <lmarz@cs.uni-frankfurt.de>  Wed, 01 Jul 2020 15:45:00 +0200
