=== debian/changelog ===
cglm (0.7.7-1) unstable; urgency=medium

  * New upstream release

 -- Leon Marz <lmarz@cs.uni-frankfurt.de>  Tue, 04 Aug 2020 20:25:00 +0200

cglm (0.7.6-3) unstable; urgency=medium

  * d/rules: Add dh_missing --list-missing (Closes: #966079)

 -- Leon Marz <lmarz@cs.uni-frankfurt.de>  Fri, 24 Jul 2020 13:05:00 +0200
