=== debian/changelog ===
cglm (0.7.8-1) unstable; urgency=medium

  * New upstream release

 -- Leon Marz <lmarz@cs.uni-frankfurt.de>  Mon, 17 Aug 2020 10:15:00 +0200
