=== debian/control ===
Source: cglm
Priority: optional
Maintainer: Leon Marz <lmarz@cs.uni-frankfurt.de>
Uploaders: Jordan Justen <jljusten@debian.org>
Build-Depends: debhelper-compat (= 13),
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/recp/cglm
Vcs-Git: https://salsa.debian.org/debian/cglm.git
Vcs-Browser: https://salsa.debian.org/debian/cglm
Rules-Requires-Root: no

Package: libcglm-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Documentation for the cglm library
 cglm is an optimized 3D math library written in C99 (compatible with C89).
 It is based on the OpenGL Shading Language (GLSL) specification and
 similar to the original glm library except this library is written in C.
 It uses the same header-only approach like glm but also supports
 pre-compield function calls
 .
 This package contains the documentation files in HTML format.

Package: libcglm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcglm0 (= ${binary:Version}), ${misc:Depends}
Suggests: libcglm-doc (= ${binary:Version})
Description: Development files for the cglm library
 cglm is an optimized 3D math library written in C99 (compatible with C89).
 It is based on the OpenGL Shading Language (GLSL) specification and
 similar to the original glm library except this library is written in C.
 It uses the same header-only approach like glm but also supports
 pre-compield function calls
 .
 Features:
  * array api and struct api, you can use arrays or structs.
  * general prupose matrix operations (mat4, vec3)
  * chain matrix multiplications (square only)
  * affine transforms
  * matrix decomposition (extract rotation, scaling factor)
  * optimized affine transform matrices (mul, rigid-body inverse)
  * camera (lookat)
  * projections (ortho, perspective)
  * quaternions
  * euler angles / yaw-pitch-roll to matrix
  * extract euler angles
  * inline or pre-compiled function call
  * frustum (extract view frustum planes, corners, ...)
  * bounding box (AABB in Frustum (culling), crop, merge, ...)
  * bounding sphere
  * project, unproject
  * easing functions
  * curves
  * curve interpolation helpers (SMC, deCasteljau, ...)
  * and other ...
 .
 This package contains the development header files

Package: libcglm0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Optimized OpenGL Mathematics library for C
 cglm is an optimized 3D math library written in C99 (compatible with C89).
 It is based on the OpenGL Shading Language (GLSL) specification and
 similar to the original glm library except this library is written in C.
 It uses the same header-only approach like glm but also supports
 pre-compield function calls
 .
 This library is designed to be compatible for programming with
 OpenGL/Vulkan applications. It uses a column-major layout for matrices.
