=== debian/changelog ===
cglm (0.7.9-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.1
    - no changes needed
  * Add upstream/metadata

 -- Leon Marz <lmarz@cs.uni-frankfurt.de>  Thu, 19 Nov 2020 09:25:00 +0100
