=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/recp/cglm
 Vcs-Git: https://salsa.debian.org/debian/cglm.git
