=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-static=no
+
+override_dh_missing-indep:
+	dh_missing --list-missing
 
 override_dh_install:
 	find debian/tmp/ -name '*.la' -exec rm '{}' ';'
