=== debian/changelog ===
cglm (0.8.4-3) unstable; urgency=medium

  * Improve clamp_rounding.patch (Closes: #996711)

 -- Leon Marz <main@lmarz.org>  Wed, 20 Oct 2021 15:49:00 +0200

cglm (0.8.4-2) unstable; urgency=medium

  * Add clamp_rounding.patch (Closes: #996711)

 -- Leon Marz <main@lmarz.org>  Tue, 19 Oct 2021 11:19:00 +0200

cglm (0.8.4-1) unstable; urgency=medium

  * New upstream release
  * Add flt_epsilon.patch to fix test failure on i386 and s390x
  * Bump Standards-Version to 4.6.0
    - no changes needed

 -- Leon Marz <main@lmarz.org>  Thu, 07 Oct 2021 09:55:00 +0200

cglm (0.8.3-1) unstable; urgency=medium

  * New upstream release
  * Change maintainer email address
  * Switch buildsystem to meson

 -- Leon Marz <main@lmarz.org>  Sun, 15 Aug 2021 14:31:00 +0200
