=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: cglm
 Priority: optional
-Maintainer: Leon Marz <lmarz@cs.uni-frankfurt.de>
+Maintainer: Leon Marz <main@lmarz.org>
 Uploaders: Jordan Justen <jljusten@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               meson,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://github.com/recp/cglm
 Vcs-Git: https://salsa.debian.org/debian/cglm.git
