=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cglm-$1.tar.gz%" \
   https://github.com/recp/cglm/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
