=== debian/changelog ===
cglm (0.8.5-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Remove flt_epsilon.patch
  * d/copyright: Update copyright year

 -- Leon Marz <main@lmarz.org>  Tue, 22 Mar 2022 10:14:00 +0100
