## cglm 0.8.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,10 @@
 cmake_minimum_required(VERSION 3.8.2)
-project(cglm VERSION 0.8.5 LANGUAGES C)
+project(cglm
+  VERSION 0.8.6
+  HOMEPAGE_URL https://github.com/recp/cglm
+  DESCRIPTION "OpenGL Mathematics (glm) for C"
+  LANGUAGES C
+)
 
 set(CMAKE_C_STANDARD 11)
 set(CMAKE_C_STANDARD_REQUIRED YES)
@@ -61,8 +66,11 @@
   src/quat.c
   src/cam.c
   src/vec2.c
+  src/ivec2.c
   src/vec3.c
+  src/ivec3.c
   src/vec4.c
+  src/ivec4.c
   src/mat2.c
   src/mat3.c
   src/mat4.c
@@ -76,18 +84,20 @@
   src/bezier.c
   src/ray.c
   src/affine2d.c
+  src/clipspace/ortho_lh_no.c
+  src/clipspace/ortho_lh_zo.c
+  src/clipspace/ortho_rh_no.c
+  src/clipspace/ortho_rh_zo.c
+  src/clipspace/persp_lh_no.c
   src/clipspace/persp_lh_zo.c
+  src/clipspace/persp_rh_no.c
   src/clipspace/persp_rh_zo.c
-  src/clipspace/persp_lh_no.c
-  src/clipspace/persp_rh_no.c
-  src/clipspace/ortho_lh_zo.c
-  src/clipspace/ortho_rh_zo.c
-  src/clipspace/ortho_lh_no.c
-  src/clipspace/ortho_rh_no.c
+  src/clipspace/view_lh_no.c
   src/clipspace/view_lh_zo.c
+  src/clipspace/view_rh_no.c
   src/clipspace/view_rh_zo.c
-  src/clipspace/view_lh_no.c
-  src/clipspace/view_rh_no.c
+  src/clipspace/project_no.c
+  src/clipspace/project_zo.c
   )
 
 if(CGLM_SHARED)
@@ -147,13 +157,7 @@
         NAMESPACE   ${PROJECT_NAME}::
         DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
 
-set(PACKAGE_NAME ${PROJECT_NAME})
-set(prefix ${CMAKE_INSTALL_PREFIX})
-set(exec_prefix ${CMAKE_INSTALL_PREFIX})
-set(includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
-set(libdir "\${prefix}/${CMAKE_INSTALL_LIBDIR}")
-set(PACKAGE_VERSION "${PROJECT_VERSION}")
-configure_file(${CMAKE_CURRENT_LIST_DIR}/cglm.pc.in ${CMAKE_BINARY_DIR}/cglm.pc @ONLY)
+configure_file(cglm.pc.in cglm.pc @ONLY)
 
 install(FILES ${CMAKE_BINARY_DIR}/cglm.pc
   DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
