=== test/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,10 @@
   src/test_euler.c
   src/test_bezier.c
   src/test_cam.c
+  src/test_cam_lh_zo.c
+  src/test_cam_rh_zo.c
+  src/test_cam_lh_no.c
+  src/test_cam_rh_no.c
   src/test_struct.c
   src/test_clamp.c
   src/test_common.c
