=== debian/changelog ===
cglm (0.8.6-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1
    - no changes needed

 -- Leon Marz <main@lmarz.org>  Sun, 23 Oct 2022 20:00:00 +0200
