=== debian/changelog ===
cglm (0.8.8-1) unstable; urgency=medium

  * New upstream release
  * d/control: janitor: Apply multi-arch hints
  * d/patches: Remove (fixed by upstream)
  * d/control: Update feature list in description
  * d/watch: Use the example from uscan(1)
  * d/control: Bump Standards-Version to 4.6.2
    - no changes needed

 -- Leon Marz <main@lmarz.org>  Wed, 21 Dec 2022 17:34:00 +0200
