=== debian/changelog ===
cglm (0.9.0-2) unstable; urgency=medium

  * Fix FTBFS
    - Add fix-glm_arch_print_name-1.patch
    - Add fix-glm_arch_print_name-2.patch

 -- Leon Marz <main@lmarz.org>  Thu, 15 Jun 2023 10:25:00 +0200

cglm (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update copyright year

 -- Leon Marz <main@lmarz.org>  Tue, 13 Jun 2023 17:41:00 +0200
