## cglm 0.9.1

=== debian/changelog ===
cglm (0.9.1-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Remove (all patches upstream)

 -- Leon Marz <main@lmarz.org>  Wed, 16 Aug 2023 18:52:55 +0100
