## cglm 0.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.8.2)
 project(cglm
-  VERSION 0.9.0
+  VERSION 0.9.2
   HOMEPAGE_URL https://github.com/recp/cglm
   DESCRIPTION "OpenGL Mathematics (glm) for C"
   LANGUAGES C
@@ -43,7 +43,7 @@
     string(REGEX REPLACE "/RTC(su|[1su])" "" ${flag_var} "${${flag_var}}")
   endforeach(flag_var)
 else()
-  add_compile_options(-Wall -Werror -O3)
+  add_compile_options(-Wall -O3)
 endif()
 
 get_directory_property(hasParent PARENT_DIRECTORY)
@@ -79,8 +79,14 @@
   src/vec4.c
   src/ivec4.c
   src/mat2.c
+  src/mat2x3.c
+  src/mat2x4.c
   src/mat3.c
+  src/mat3x2.c
+  src/mat3x4.c
   src/mat4.c
+  src/mat4x2.c
+  src/mat4x3.c
   src/plane.c
   src/frustum.c
   src/box.c
