=== debian/changelog ===
cglm (0.9.2-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file
  * d/copyright: Update copyright year

 -- Leon Marz <main@lmarz.org>  Thu, 01 Feb 2024 11:42:45 +0100
