=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                meson,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/recp/cglm
 Vcs-Git: https://salsa.debian.org/debian/cglm.git
@@ -17,6 +17,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Documentation for the cglm library
  cglm is an optimized 3D math library written in C99 (compatible with C89).
  It is based on the OpenGL Shading Language (GLSL) specification and
@@ -40,10 +41,14 @@
  pre-compield function calls
  .
  Features:
-  * array api and struct api, you can use arrays or structs.
-  * general prupose matrix operations (mat4, vec3)
-  * chain matrix multiplications (square only)
-  * affine transforms
+  * scalar and simd (sse, avx, neon...) optimizations
+  * option to use different clipspaces e.g. Left Handed, Zero-to-One...
+    (currrently right handed negative-one is default)
+  * array API and struct API, you can use arrays or structs.
+  * general purpose matrix operations (mat4, mat3)
+  * chain matrix multiplication (square only)
+  * general purpose vector operations (cross, dot, rotate, proj, angle...)
+  * affine transformations
   * matrix decomposition (extract rotation, scaling factor)
   * optimized affine transform matrices (mul, rigid-body inverse)
   * camera (lookat)
@@ -52,14 +57,17 @@
   * euler angles / yaw-pitch-roll to matrix
   * extract euler angles
   * inline or pre-compiled function call
-  * frustum (extract view frustum planes, corners, ...)
-  * bounding box (AABB in Frustum (culling), crop, merge, ...)
+  * frustum (extract view frustum planes, corners...)
+  * bounding box (AABB in Frustum (culling), crop, merge...)
   * bounding sphere
   * project, unproject
   * easing functions
   * curves
-  * curve interpolation helpers (SMC, deCasteljau, ...)
-  * and other ...
+  * curve interpolation helpers (SMC, deCasteljau...)
+  * helpers to convert cglm types to Apple's simd library to pass cglm types to
+    Metal GL without packing them on both sides
+  * ray intersection helpers
+  * and others...
  .
  This package contains the development header files
