=== debian/rules ===
--- 
+++ 
@@ -3,17 +3,13 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with sphinxdoc
+	dh $@ --buildsystem=meson --with sphinxdoc
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-static=no
+	dh_auto_configure --buildsystem=meson -- -Dbuild_tests=true
 
 override_dh_missing-indep:
 	dh_missing --list-missing
-
-override_dh_install:
-	find debian/tmp/ -name '*.la' -exec rm '{}' ';'
-	dh_install -a
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
