## cglm 0.9.4

=== debian/changelog ===
cglm (0.9.4-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file

 -- Leon Marz <main@lmarz.org>  Fri, 19 Apr 2024 14:40:00 +0200
