=== debian/changelog ===
cglm (0.9.6-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file
  * d/control: Bump Standards-Version to 4.7.1
    - no changes needed
  * d/copyright: Update copyright year
  * Add Re-add-glm_vec3_step_uni-and-glm_vec4_step_uni.patch

 -- Leon Marz <main@lmarz.org>  Sat, 22 Feb 2025 12:19:00 +0100
