=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                meson,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Section: libs
 Homepage: https://github.com/recp/cglm
 Vcs-Git: https://salsa.debian.org/debian/cglm.git
