## cglm 1.0

=== DESCRIPTION ===
Package: cglm
Type: Package
Title: Fits Conditional Generalized Linear Models
Version: 1.0
Date: 2018-11-26
Author: Arvid Sjolander
Maintainer: Arvid Sjolander <arvid.sjolander@ki.se>
Description: Estimates the ratio of the regression coefficients and the dispersion parameter in conditional generalized linear models for clustered data.
License: GPL (>= 2)
Imports: Rcpp (>= 0.12.18), stats, nleqslv, data.table
LinkingTo: Rcpp, RcppArmadillo
NeedsCompilation: yes
Packaged: 2018-11-26 07:17:23 UTC; arvsjo
Repository: CRAN
Date/Publication: 2018-12-03 10:32:41 UTC
