## cglm 1.1

=== DESCRIPTION ===
Package: cglm
Type: Package
Title: Fits Conditional Generalized Linear Models
Version: 1.1
Date: 2019-12-06
Author: Arvid Sjolander
Maintainer: Arvid Sjolander <arvid.sjolander@ki.se>
Description: Estimates the ratio of the regression coefficients and the dispersion parameter in conditional generalized linear models for clustered data.
License: GPL (>= 2)
Imports: Rcpp (>= 0.12.18), stats, nleqslv, data.table
LinkingTo: Rcpp, RcppArmadillo
NeedsCompilation: yes
Packaged: 2019-12-06 13:22:34 UTC; arvsjo
Repository: CRAN
Date/Publication: 2019-12-06 13:50:02 UTC
